<div>
  <h1>{{info.firstname}} {{info.lastname}}</h1>
  <hr>
  <div class="content-row">
    <div class="content">
      <h3>Personal Infomation</h3>
      <div class="text-wrap">
        <p class="title">Employee Id</p>
        <p class="content">{{info.employeeid}}</p>
      </div>
      <div class="text-wrap">
        <p class="title">Birthday</p>
        <p class="content">{{info.birthdate}}</p>
      </div>
      <div class="text-wrap">
        <p class="title">Age</p>
        <p class="content">{{info.birthdate | age}}</p>
      </div>
    </div>
    <div class="content">
      <h3>Job Infomation</h3>
      <div class="text-wrap">
        <p class="title">Hire Date</p>
        <p class="content">{{info.startdate}}</p>
      </div>
      <div class="text-wrap">
        <p class="title">Time Type</p>
        <p class="content">{{info.employeetype}}</p>
      </div>
      <div class="text-wrap">
        <p class="title">Salary</p>
        <p class="content">{{info.salary | number}} /
          {{info.employeetype === employeeType.permanent ? 'month' : 'hour'}}</p>
      </div>
    </div>
  </div>
  <hr>
  <div *ngIf="info.employeetype === employeeType.permanent">
    <div *ngIf="diffMonthWithToday(info.startdate) >= 3;then displayContent else hideContent"></div>
    <ng-template #displayContent>
      <div class="content-row">
        <div class="content">
          <h3>Provident Fund Infomation</h3>
          <div class="text-wrap">
            <p class="title">Pvdf periods</p>
            <p class="content">{{pvf_months | number}} Month</p>
          </div>
          <div class="text-wrap">
            <p class="title">Pvf Rate (%)</p>
            <p class="content">{{info.pvfrate}}</p>
          </div>
          <div class="text-wrap">
            <p class="title">Employee contribution rate</p>
            <p class="content">{{pvfContributionRate(info.salary,info.pvfrate,'empCon') | number}}</p>
          </div>
          <div class="text-wrap">
            <p class="title">Acc employee contribution</p>
            <p class="content">{{pvfInfo.empCon * pvf_months | number: '1.2-2'}}</p>
          </div>
          <div class="text-wrap">
            <p class="title">Company contribution rate</p>
            <p class="content">{{pvfContributionRate(info.salary,10,'companyCon') | number}}</p>
          </div>
          <div class="text-wrap">
            <p class="title">Acc company contribution</p>
            <p class="content">{{pvfInfo.companyCon * pvf_months | number: '1.2-2'}}</p>
          </div>
        </div>
        <div class="content">
          <h3>Accumulated Balance of interest (2%)</h3>
          <div class="text-wrap">
            <p class="title">Employee contribution interest (2%)</p>
            <p class="content">{{pvfContributionInterest(pvfInfo.empCon) | number:'1.2-2'}}</p>
          </div>
          <div class="text-wrap">
            <p class="title">Company contribution interest (2%)</p>
            <p class="content">{{pvfContributionInterest(pvfInfo.companyCon) | number:'1.2-2'}}</p>
          </div>
          <div class="text-wrap">
            <p class="title">Accumulated balance of interest (2%)</p>
            <p class="content">{{pvfContributionInterest(pvfInfo.empCon + pvfInfo.companyCon) | number:'1.2-2'}}</p>
          </div>
        </div>
      </div>
      <div class="content-row">
        <div class="content">
          <h3>The total value of the provident fund (if the employee were to leave the company today)</h3>
          <div class="text-wrap">
            <p class="title">Employee contribution </p>
            <p class="content">{{pvfAccumulated(pvfInfo.empCon,'totalEmpCon',100) | number:'1.2-2'}}</p>
          </div>
          <div class="text-wrap">
            <p class="title">Company contribution</p>
            <p class="content">{{pvfAccumulated(pvfInfo.companyCon,'totalComCon') | number:'1.2-2'}}</p>
          </div>
          <div class="text-wrap">
            <p class="title">Total contribution</p>
            <p class="content">{{pvfInfo.totalEmpCon + pvfInfo.totalComCon | number:'1.2-2'}}</p>
          </div>
        </div>
      </div>
    </ng-template>
    <ng-template #hideContent>
      This user hasn't join provident fund program yet.
    </ng-template>
  </div>

</div>
